require "v8/version"

require 'v8/weak'
begin
  require 'v8/init'
rescue LoadError => e
  puts <<-EOF
WARNING: v8314 is not enabled. You need to enable v8314 scl to be able to run v8 runtime.
e.g. You can run rails like `scl enable ror40 v8314 'rails s'`
EOF
  raise e
end
require 'v8/error'
require 'v8/stack'
require 'v8/conversion/fundamental'
require 'v8/conversion/indentity'
require 'v8/conversion/reference'
require 'v8/conversion/primitive'
require 'v8/conversion/code'
require 'v8/conversion/class'
require 'v8/conversion/object'
require 'v8/conversion/time'
require 'v8/conversion/hash'
require 'v8/conversion/array'
require 'v8/conversion/proc'
require 'v8/conversion/method'
require 'v8/conversion/symbol'
require 'v8/conversion/string'
require 'v8/conversion/fixnum'
require 'v8/conversion'
require 'v8/access/names'
require 'v8/access/indices'
require 'v8/access/invocation'
require 'v8/access'
require 'v8/context'
require 'v8/object'
require 'v8/array'
require 'v8/function'
